Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

markets
string[]

Comma separated list of markets. By default all markets are returned.

exchange
string

Unique name of an exchange.

type
enum<string>

Return markets of the specified instrument type.

Available options:
spot,
future,
option
base
string

Base asset of markets.

quote
string

Quote asset of markets.

asset
string

Any asset of markets.

symbol
string

Symbol of derivative markets, full instrument name.

metrics
string[]

Comma separated list of metrics. By default all metrics are returned.

format
string
default:json

Format of the response. Supported values are json, json_stream.

page_size
integer<int32>
default:100

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:start

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
pretty
boolean
default:false

Human-readable formatting of JSON responses.

next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

Response

List of market metrics statistics.

List of market metrics statistics.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.